# Cloudflare Tunnel Configuration for AEI Hawaii (Windows Version)
# Place this file at: C:\Users\<username>\.cloudflared\config.yml
#
# Tunnel: AEI_Network
# Tunnel ID: 286e42e7-e7b5-45ac-ab8b-e28390591d57

tunnel: 286e42e7-e7b5-45ac-ab8b-e28390591d57
credentials-file: C:\Users\<username>\.cloudflared\286e42e7-e7b5-45ac-ab8b-e28390591d57.json

# Ingress rules - route each subdomain to WSL2
# Note: localhost on Windows won't reach WSL2. Use the WSL2 IP address instead.
# Get WSL2 IP with: wsl hostname -I

ingress:
  # Chat application
  - hostname: chat.aeihawaii.com
    service: http://172.26.158.163:80
    originRequest:
      noTLSVerify: true

  # Dropbox/File sharing
  - hostname: dropbox.aeihawaii.com
    service: http://172.26.158.163:80
    originRequest:
      noTLSVerify: true

  # Jobs portal
  - hostname: jobs.aeihawaii.com
    service: http://172.26.158.163:80
    originRequest:
      noTLSVerify: true

  # Pre-measure application
  - hostname: premeasure.aeihawaii.com
    service: http://172.26.158.163:80
    originRequest:
      noTLSVerify: true

  # Scheduler application
  - hostname: scheduler.aeihawaii.com
    service: http://172.26.158.163:80
    originRequest:
      noTLSVerify: true

  # Support portal
  - hostname: support.aeihawaii.com
    service: http://172.26.158.163:80
    originRequest:
      noTLSVerify: true

  # Upload service
  - hostname: upload.aeihawaii.com
    service: http://172.26.158.163:80
    originRequest:
      noTLSVerify: true

  # Catch-all rule (required)
  - service: http_status:404
